Skip to main content
PATCH
/
api
/
v1
/
realms
/
{realmId}
/
currencies
/
{currencyId}
/
metadata
Update Currency Metadata
curl --request PATCH \
  --url https://api.drip.re/api/v1/realms/{realmId}/currencies/{currencyId}/metadata \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "metadata": {}
}'
import requests

url = "https://api.drip.re/api/v1/realms/{realmId}/currencies/{currencyId}/metadata"

payload = { "metadata": {} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({metadata: {}})
};

fetch('https://api.drip.re/api/v1/realms/{realmId}/currencies/{currencyId}/metadata', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "error": "<string>",
  "message": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}

Authorizations

Authorization
string
header
required

API Key

Path Parameters

realmId
string
required
Pattern: ^[0-9a-fA-F]{24}$
currencyId
string
required

Body

application/json
metadata
object
required

Response

Default Response